INIT_MODULE(2)

NAME
init_module - Initialize a loadable module entry

SYNOPSIS

long sys_init_module (void *umod, unsigned long len, const char *uargs);

DESCRIPTION

init_module initializes a loadable module entry given by umod, which is indicated by the module's init function. The len and uargs values are sent to the load_module function, which is utilized by sys_init_module to get information on the module. The uargs contain any user space arguments to apply to the module. The len value indicates the size of the memory section the module loads into.

RETURN VALUE

init_module returns 0 on success; otherwise, it returns one of the errors listed in the "Errors" section.

ERRORS

-EPERM
    The user must have administrator module modification capabilities.

-EINTR
    Only one module can be loaded at a time. This error is returned if more than one module is attempting to be loaded.

SEE ALSO

delete_module(2)

AUTHOR
Niki Rahimi